# -*- coding: utf-8 -*-

from setuphelpers import *

uninstallkey = []

def install():

    libre_office_exe = ['soffice.exe','sbase.exe','scalc.exe','sdraw.exe','simpress.exe','smath.exe','swriter.exe']
    for msi in glob.glob('*.msi'):
        argument = {}
        if not installed_softwares('Microsoft Office'):
            argument = {'SELECT_WORD':1,'SELECT_EXCEL':1,'SELECT_POWERPOINT':1,'CREATEDESKTOPLINK':0,'RebootYesNo':'No','ALLUSER':1,'ISCHECKFORPRODUCTUPDATES':0,'QUICKSTART':0}
        else:
            argument = {'CREATEDESKTOPLINK':0,'RebootYesNo':'No','ALLUSER':1,'ISCHECKFORPRODUCTUPDATES':0,'QUICKSTART':0}
        install_msi_if_needed(msi,killbefore=libre_office_exe,timeout=1200,properties=argument)


def update_package():
    htmlSource = ensure_unicode(wgets('https://www.libreoffice.org/download'))
    for line in htmlSource.split('\n') :
        if 'dl_version_number' in line:
            realversion = line.rsplit('dl_version_number')[1].split('>')[1].split('<')[0]

    msix86 = "LibreOffice_%s_Win_x86.msi" % realversion
    url = "http://download.documentfoundation.org/libreoffice/stable/%s/win/" % realversion

    if not isfile(msix86):
        wget(url + "x86/" +msix86,msix86)
    else:
        print(msix86 + ' already exist')

    lastest_version = get_msi_properties(msix86)['ProductVersion']

    allmsi = glob.glob('*.msi')
    for msi in allmsi:
        vers = get_msi_properties(msi)['ProductVersion']
        if vers != lastest_version :
            remove_file(msi)

    control.version = lastest_version +'-0'
    control.save_control_to_wapt()




